// const express = require('express');
// const schedule = require('node-schedule');
// const nodemailer = require('nodemailer');
// const app = express();

// const PORT = 3000;

// const sendScheduledEmail = (email,yy,yyy) => {
  
//   let mailTransporter = nodemailer.createTransport({
//     service: "gmail",
//     auth: {
//       user: yy, 
//       pass:yyy,
//     },
//   });

//   let mailOptions = {
//     from: yy,
//     to: email,
//     subject: "Test mail at a specific date and time",
//     text: "This is an email scheduled for October 20, 2023, at 1:50 PM using Node.js cron job.",
//   };


//   const sendDate = new Date(2023, 9, 20, 13, 50);

//   schedule.scheduleJob(sendDate, function(){
//     mailTransporter.sendMail(mailOptions, function(err, info) {
//       if (err) {
//         console.log("Error Occurs", err);
//       } else {
//         console.log("Email sent successfully");
//       }
//     });
//   });
// };

// module.exports = {
//   sendScheduledEmail: sendScheduledEmail
// };

// app.listen(PORT, () => {
//     console.log(`Server is running on http://localhost:${PORT}`);
// });


const express = require('express');
const app = express();
// const nodemailer = require('nodemailer');
// email.js

// const port = 7001;
const nodemailer = require('nodemailer');

async function sendVerificationEmail(email,yy,yyy) {
  try {
    const transporter = nodemailer.createTransport({
      service: 'gmail',
      auth: {
        user:yy ,
        pass: yyy,
      },
    });

    const mailOptions = {
      from: yy,
      to: email,
      subject: 'Account Verification Code',
      text: `Your verification code is:`,
      
      

    };

    const info = await transporter.sendMail(mailOptions);
    console.log('Email sent:', info.response);
  } catch (error) {
    console.error('Error sending email:', error);
    throw new Error('Failed to send verification email');
  }
}

module.exports = { sendVerificationEmail};
// app.listen(port, () => {
//   console.log(`Server is running on http://localhost:${port}`);
// });